/* File: fahr.c -- zu Kap. 1.5. Programmbeispiele
   Fkt.: Ausgabe einer Tabelle zur Umrechnung zwischen
	 Celsius und Fahrenheit */
#define VON 0
#define BIS 150
#define SCHRITT 20
#include <stdio.h>
main() {
	int low, upper, step;
	float fahr, celsius;
	low = VON;
	upper = BIS;
	step = SCHRITT;
	fahr = low;
	printf("Fahrenheit     Celsius\n");
	printf("======================\n");
	while(fahr <= upper) {
		celsius = (5.0 / 9.0) * (fahr - 32.0);
		printf("  %4.0f      %10.4f\n", fahr, celsius);
		fahr = fahr + step;
	}
}
